Page MenuHomePhabricator

"rsvg" SVG converter uses "rsvg" binary, which doesn't always work (for me); NewParserTest uses "rsvg-convert" instead for some reason
Closed, ResolvedPublic

Description

"rsvg" SVG converter uses "rsvg" binary, which doesn't always work (in particular, it doesn't work for me).

NewParserTest uses "rsvg-convert" instead for some reason, and using that does work for me.

Using Ubuntu 14, /usr/bin/rsvg is a symlink to rsvg-convert. No idea what is going on.

Event Timeline

matmarex created this task.Dec 2 2014, 3:42 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex changed Security from none to None.
matmarex added a subscriber: matmarex.
Bawolff added a subscriber: Bawolff.Dec 3 2014, 1:29 AM

I think I've heard reports that for some people, the rsvg and rsvg-convert binaries accept different argument formats (Not sure if that's true)

Gilles triaged this task as Normal priority.Dec 3 2014, 2:00 PM
Gilles added a project: Multimedia.
Gilles added a subscriber: Gilles.

One is symlinked to the other for me.

Is there any progress on this?

matmarex claimed this task.Feb 5 2015, 6:15 PM

Okay, y'all brought this upon yourselves.

gerritbot added a subscriber: gerritbot.

Change 188840 had a related patch set uploaded (by Bartosz Dziewoński):
Use 'rsvg-convert' binary rather than 'rsvg' everywhere

https://gerrit.wikimedia.org/r/188840

Patch-For-Review

Change 188840 merged by Bartosz Dziewoński:
Use 'rsvg-convert' binary rather than 'rsvg' everywhere

https://gerrit.wikimedia.org/r/188840

matmarex closed this task as Resolved.Feb 5 2015, 7:45 PM
matmarex removed a subscriber: gerritbot.